summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author M.Dinslage <daedra1980@gmail.com>2011-06-12 14:53:10 -0500
committer Robby Workman <rworkman@slackbuilds.org>2011-06-13 01:34:35 -0400
commit01ea0f920a8c83f26ff5fd9be01520457309a69b (patch)
treebdf26fa193a035d0cee2d0e238b3369a32e116b1 /desktop
parentf5b6890413faa3e02ff45004b1b29adb162f109d (diff)
downloadslackbuilds-01ea0f920a8c83f26ff5fd9be01520457309a69b.tar.gz
slackbuilds-01ea0f920a8c83f26ff5fd9be01520457309a69b.tar.xz
desktop/emerald-themes: Added (Extra themes for the Emerald Decorator)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/emerald-themes/README15
-rw-r--r--desktop/emerald-themes/README.POST_INSTALL10
-rw-r--r--desktop/emerald-themes/emerald-themes.SlackBuild84
-rw-r--r--desktop/emerald-themes/emerald-themes.info10
-rw-r--r--desktop/emerald-themes/slack-desc19
5 files changed, 138 insertions, 0 deletions
diff --git a/desktop/emerald-themes/README b/desktop/emerald-themes/README
new file mode 100644
index 0000000000..c6ffaf3c4d
--- /dev/null
+++ b/desktop/emerald-themes/README
@@ -0,0 +1,15 @@
+Extra themes for the Emerald Window Decorator.
+
+For correct installation, build in this order:
+ 1. compiz-bcop
+ 2. protobuf (optional but recommended)
+ 3. libcompizconfig
+ 4. compizconfig-python
+ 5. compizconfig-backend-kconfig4 (optional)
+ 6. ccsm
+ 7. compiz-plugins-main
+ 8. compiz-plugins-extra (optional)
+ 9. compiz-plugins-unsupported (optional)
+10. emerald (optional)
+11. emerald-themes (optional)
+12. fusion-icon (optional)
diff --git a/desktop/emerald-themes/README.POST_INSTALL b/desktop/emerald-themes/README.POST_INSTALL
new file mode 100644
index 0000000000..3c8f207a68
--- /dev/null
+++ b/desktop/emerald-themes/README.POST_INSTALL
@@ -0,0 +1,10 @@
+After you've installed the compiz-fusion packages you need to enable
+a few key features before you launch compiz.
+Launch "ccsm" and enable the following options:
+
+ * Window Decorations
+ * Move Window
+ * Rezise Window
+
+These options will allow you to manage your windows.
+After enabled, you can launch compiz and customize to your liking.
diff --git a/desktop/emerald-themes/emerald-themes.SlackBuild b/desktop/emerald-themes/emerald-themes.SlackBuild
new file mode 100644
index 0000000000..e1d94944e9
--- /dev/null
+++ b/desktop/emerald-themes/emerald-themes.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Slackware build script for emerald-themes
+
+# Written by M.Dinslage (daedra1980@gmail.com)
+
+PRGNAM=emerald-themes
+VERSION=${VERSION:-0.6.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ SLKLDFLAGS="-L/usr/lib64"; LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+LDFLAGS="$SLKLDFLAGS" \
+./autogen.sh \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --enable-static=no \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS README VERSION \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/emerald-themes/emerald-themes.info b/desktop/emerald-themes/emerald-themes.info
new file mode 100644
index 0000000000..8aee9e2546
--- /dev/null
+++ b/desktop/emerald-themes/emerald-themes.info
@@ -0,0 +1,10 @@
+PRGNAM="emerald-themes"
+VERSION="0.6.0"
+HOMEPAGE="http://www.compiz.org"
+DOWNLOAD="http://www.mostlyslack.com/slackstuff/sources/emerald-themes-0.6.0.tar.bz2"
+MD5SUM="6a078306fa01fff60afd80271f42e54f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="M.Dinslage"
+EMAIL="daedra1980@gmail.com"
+APPROVED="Erik Hanson"
diff --git a/desktop/emerald-themes/slack-desc b/desktop/emerald-themes/slack-desc
new file mode 100644
index 0000000000..b8319eb5fe
--- /dev/null
+++ b/desktop/emerald-themes/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+emerald-themes: emerald-themes (Extra themes for the Emerald Decorator)
+emerald-themes:
+emerald-themes: Extra themes for the Emerald window decorator.
+emerald-themes:
+emerald-themes:
+emerald-themes:
+emerald-themes:
+emerald-themes:
+emerald-themes:
+emerald-themes:
+emerald-themes: